package com.mcwl.common.utils;

import java.util.Random;

/**
 * 验证码工具类
 *
 * @author DaiZibo
 * @date 2024/12/28
 * @apiNote
 */

public class CodeUtils {

    /**
     * 生成一个随机的4位数验证码
     *
     * @return 返回生成的验证码字符串
     */
    public static String generateCaptcha() {
        // 创建Random对象用于生成随机数
        Random random = new Random();
        // 生成100000到999999之间的随机整数（包括100000和999999）
        int captcha = 100000 + random.nextInt(900000);
        // 将整数转换为字符串并返回
        return String.valueOf(captcha);
    }

}
